// Call ngui function to create a ui config.
window.ngui(() => {
  return {
    
    // The returned object can be accessed with this within any method...
    // Do not use this.ctx within this function because it is not yet created.
    data() {
      return {
        // VAR
        editable: true,
        btnColor: 'grey-6',
      }
    },
    
    // Define elements within the ui configuration...
    nodes() {
      return [
        // any ui component node can be used...
        window.components.page([34]).append(() => [
          window.components.breadcrumbs([
            {
              label: this.$t('userManagement'),
            }
          ]),
          window.components.bar('userManagement'),
          window.components.section().append(() => [
            window.components.grid('center', 'center').append(() => [
              window.components.cell({ col: 12, md: 4, lg: 2 }).append(() => [
                window.components.button().attrs({
                  to: '/users/users',
                  fullWidth: true,
                  color: this.btnColor,
                }).append(() => [
                  window.components.column('center', 'center', 'sm').attrs({}).append(() => [
                    window.components.icon('person'),
                    window.components.text('users').attrs({ class: 'ellipsis' }),
                    window.components.text('caption', 'manageUsers').attrs({ class: 'ellipsis' }),          
                  ])
                ])
              ]),
              window.components.cell({ col: 12, md: 4, lg: 2 }).append(() => [
                window.components.button().attrs({
                  to: '/users/roles',
                  fullWidth: true,
                  color: this.btnColor,
                }).append(() => [
                  window.components.column('center', 'center', 'sm').attrs({}).append(() => [
                    window.components.icon('groups'),
                    window.components.text('roles').attrs({ class: 'ellipsis' }),
                    window.components.text('caption', 'manageRoles').attrs({ class: 'ellipsis' }),          
                  ])
                ])
              ]),
              window.components.cell({ col: 12, md: 4, lg: 2 }).append(() => [
                window.components.button().attrs({
                  to: '/users/permissions',
                  fullWidth: true,
                  color: this.btnColor,
                }).append(() => [
                  window.components.column('center', 'center', 'sm').attrs({}).append(() => [
                    window.components.icon('key'),
                    window.components.text('permissions').attrs({ class: 'ellipsis' }),
                    window.components.text('caption', 'managePermissions').attrs({ class: 'ellipsis' }),            
                  ])
                ])
              ]),
              window.components.cell({ col: 12, md: 4, lg: 2 }).append(() => [
                window.components.button().attrs({
                  to: '/users/providers',
                  fullWidth: true,
                  color: this.btnColor,
                }).append(() => [
                  window.components.column('center', 'center', 'sm').attrs({}).append(() => [
                    window.components.icon('cloud'),
                    window.components.text('provider').attrs({ class: 'ellipsis' }),
                    window.components.text('caption', 'manageProviders').attrs({ class: 'ellipsis' }),          
                  ])
                ])
              ]),
              window.components.cell({ col: 12, md: 4, lg: 2 }).append(() => [
                window.components.button().attrs({
                  to: '/users/autologin',
                  fullWidth: true,
                  color: this.btnColor,
                }).append(() => [
                  window.components.column('center', 'center', 'sm').attrs({}).append(() => [
                    window.components.icon('mdi-account-key'),
                    window.components.text('autologin').attrs({ class: 'ellipsis' }),  
                    window.components.text('caption', 'perApp').attrs({ class: 'ellipsis' }),          
                  ])
                ])
              ])
            ])
          ])
        ])
      ]
    },
  }
})